Bug 498220 - (perl-Module-Used) Review Request: perl-Module-Used - Find modules loaded by Perl code without running it
Review Request: perl-Module-Used - Find modules loaded by Perl code without r...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Module-Used/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 09:56 EDT by Iain Arnell
Modified: 2009-05-09 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 03:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-29 09:56:22 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Module-Used.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Module-Used-1.2.0-1.fc12.src.rpm

Description:
Modules are found statically based upon use and require statements. If use
of the base or parent is found, both that module and the referenced ones
will be returned. If Moose or Moose::Role are found, this will look for
extends and with sugar will be looked for; presently, this will miss
modules listed in parentheses.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1328535

*rt-0.09
Comment 1 Parag AN(पराग) 2009-04-29 11:58:27 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1328535
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ba3421bb8f990f1729b8e2ad7fa233dc  Module-Used-v1.2.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=22,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.28 cusr  0.04 csys =  0.35 CPU)
+ Package perl-Module-Used-1.2.0-1.fc12.noarch =>
Provides: perl(Module::Used)
Requires: /usr/bin/env perl >= 0:5.008003 perl(English) perl(Exporter) perl(File::Next) perl(Module::Used) perl(PPI::Document) perl(Readonly) perl(strict) perl(utf8) perl(version) perl(warnings)

APPROVED.
Comment 2 Iain Arnell 2009-04-29 12:48:15 EDT
New Package CVS Request
=======================
Package Name: perl-Module-Used
Short Description: Find modules loaded by Perl code without running it
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-30 01:04:05 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-30 03:36:11 EDT
perl-Module-Used-1.2.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Module-Used-1.2.0-1.fc11
Comment 5 Fedora Update System 2009-04-30 03:36:16 EDT
perl-Module-Used-1.2.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Module-Used-1.2.0-1.fc10
Comment 6 Iain Arnell 2009-04-30 03:36:55 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-09 00:06:46 EDT
perl-Module-Used-1.2.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:25:23 EDT
perl-Module-Used-1.2.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.